# TMR_SR_AntennaPort Struct Reference

`#include <serial_reader_imp.h>`

List of all members.

## Public Attributes

uint8_t | numPorts
uint8_t | txPort
uint8_t | rxPort
TMR_uint8List | portTerminatedList

## Detailed Description

Antenna Configuration. Returned by TMR_SR_cmdGetAntennaConfiguration.

## Member Data Documentation

uint8_t TMR_SR_AntennaPort::numPorts

The number of physical antenna ports.

TMR_uint8List TMR_SR_AntennaPort::portTerminatedList

List specifying what ports are terminated.

uint8_t TMR_SR_AntennaPort::rxPort

The current logical receive port.

uint8_t TMR_SR_AntennaPort::txPort

The current logical Transmit port.

The documentation for this struct was generated from the following file:

- serial_reader_imp.h